// Receiver Code

// Include Libraries
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <Servo.h>

// initialize servos and bluetooth
Servo myServo1;
Servo myServo2;
RF24 radio(9, 8); // CE, CSN
const byte address[6] = "07190";

void setup() {
  // set up servos
  myServo1.attach(3);
  myServo2.attach(6);
  myServo1.write(90);
  myServo2.write(90);

  // set up bluetooth
  radio.begin();
  radio.openReadingPipe(0, address);
  radio.setPALevel(RF24_PA_MIN);
  radio.startListening();

  Serial.begin(9600);
}

void loop() {
  if (radio.available()) {
    byte Array[2];
    radio.read(&Array, sizeof(Array));

    // print potentiometer values (for troubleshooting)
    Serial.print(Array[0]);
    Serial.println();
    Serial.print(Array[1]);
    Serial.println();

    // set servo position to potentiometer values
    myServo1.write(Array[0]);
    myServo2.write(Array[1]);
    delay(15);
  }
}